<!DOCTYPE html>
<html lang="fr">
  <head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <title>Demandes</title>
		<link rel="icon" href="ressources/logo.png">
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.1/css/bootstrap.min.css" integrity="sha384-WskhaSGFgHYWDcbwN70/dfYBj47jz9qbsMId/iRN3ewGhXQFZCSftd1LZCfmhktB" crossorigin="anonymous">
		<link href="css/style.css" rel="stylesheet">
  </head>
  <body>
    <div class="row">
      <!-- demande -->
      <div class="col-sm-12">
        <input type='button' class='btn btn-secondary' onclick=RedirectAdmin() value='Retour page admin'>
        <h3>Batiments</h3>
        <section id="info_build" style="display: inline-block; text-align: left"></section>
        <p> </p>
        <h1>Liste des demandes</h1>
        <section id="info_graffitis" style="display: inline-block; text-align: left"></section>
        <!--<input type='button' class='btn btn-danger' value=StatusToString(1)>-->
        <form class="justify-content-center" action="/" method="post" id="form_ban_graffiti">
                <input class="form-control" type="text" id="description" placeholder="Description..."/>
                <input class="btn btn-danger" type="submit" id="send" value="Refuser"/>
        </form>
        <form class="justify-content-center" action="/" method="post" id="form_accept_graffiti">
                <input class="form-control" type="text" id="text" placeholder="Description..."/>
                <input class="form-control" type="text" id="date" placeholder="Date"/>
                <input class="btn btn-success" type="submit" id="send" value="Accepter"/>
        </form>
    </div>

    </div>

    <footer id="footer">
      <p>&copy; NLPF 2018 - Application gestion des graffitis</p>
    </footer>

    <script src="http://code.jquery.com/jquery-1.10.1.min.js"></script>
    <script src="/socket.io/socket.io.js"></script>
    <script>
      var ip = "localhost";
      var port = 8080;

      var socket = io.connect('http://' + ip + ':' + port);

      socket.emit('info_graffitis');

      socket.on('info_graffitis', function(message)
      {
        $('#info_graffitis').append(
          '<div class="radio"><label><input type="radio" name="demande" value="'+ message.id + '" checked>' +
          '<strong> Building</strong> : ' + message.id_building + '<strong> Floor</strong> : ' + message.floor +'<strong> Localisation</strong> : ' + message.location +
          '<strong> Status</strong> : ' + message.status + '<strong> Description</strong> : ' + message.description + '</label></div>');
      });

      socket.on('info_build', function(message)
      {
        $('#info_build').append(
          '<p><strong>Building</strong>' + ' : ' + message.id + '<strong> Nom</strong>' + ' : ' + message.name + ' <strong>Adresse</strong>' + ' : ' + message.adress + ' </p>');
      });
      $('#form_ban_graffiti').submit(function()
      {
        var radioValue = $("input[name='demande']:checked").val();
        var description = $('#description').val();
        console.log("In form_ban_graffiti");
        console.log("id: " + radioValue + ", description: " + description)
        socket.emit('ban_graffiti', radioValue, description);
        window.location.href = "http://localhost:8080/demande";
        return false;
      });

      $('#form_accept_graffiti').submit(function()
      {
        var radioValue = $("input[name='demande']:checked").val();
        var text = $('#text').val();
        var date = $('#date').val();
        console.log("In form_ban_graffiti");
        console.log("id: " + radioValue + ", text: " + text + ", date : " + date)
        socket.emit('accept_graffiti', radioValue, text, date);
        window.location.href = "http://localhost:8080/demande";
        return false;
      });

      function AcceptGraffiti(id)
      {
        console.log('IN AcceptGraffiti');
        window.location.href = "http://localhost:8080/demande";
        return false;
      }

      /*function BanGraffiti(id, description)
      {
        console.log('IN BanGraffiti');
        socket.emit('ban_graffiti', id, description);
        window.location.href = "http://localhost:8080/demande";
        return false;
      }*/

      function UpdateGraffiti(id)
      {
        socket.emit('update_graffiti', id);
        window.location.href = "http://localhost:8080/demande";
        return false;
      }

      function RedirectAdmin()
      {
        window.location.href = "http://localhost:8080/admin";
        return false;
      }

    </script>
  </body>
</html>
